      integer AUDFLG, AUDLUN(16), CHELUN(16), DOFLAG, DOLUN(16),
     -ENVLUN(16), KINLUN(16), MACHNO, PLTLUN(16), PRINTR(16),
     -RANUNT(16), RPTLUN(16), RWLUN(16), SSLUN(16), TTYIN(16),
     -TTYOUT(16), WRKLUN(16), FG1LUN(16), FG2LUN(16), FG3LUN(16),
     -PRZLUN(16)
      logical TOPOPN(16),REMOTE(16)
      common /UNITS/ AUDFLG, AUDLUN, CHELUN, DOFLAG, DOLUN, ENVLUN,
     -KINLUN, MACHNO, PLTLUN, PRINTR, RANUNT, RPTLUN, RWLUN, SSLUN,
     -TTYIN, TTYOUT, WRKLUN, FG1LUN, FG2LUN, FG3LUN, PRZLUN, TOPOPN,
     -REMOTE
      character CRSTOP(16)*2, RPASS(4)*6, WPASS(4)*6, SYSPAS*6,
     -MACHIN*3, MACHNA(16)*6
      common /PASWRD/ CRSTOP,RPASS,WPASS,SYSPAS,MACHIN,MACHNA
